Update simp-environment puppet files

Description

  • Update example server YAML to use simp::server::classes

  • Note preferred use os simp::classes for clients and required use of simp::server::classes for knockout in site.pp. May want to shove a deprecation warning (comment) in here as well

Acceptance Criteria

None
Done
Your pinned fields
Click on the next to a field label to start pinning.